Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.scripting
Class StrutsInfo

    java.lang.Object
      org.apache.struts.scripting.StrutsInfo

    public class StrutsInfo

extends java.lang.Object

Holds Struts objects.

Constructor Summary
`StrutsInfo(ScriptAction action, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, org.apache.struts.util.MessageResources res)` Constructor.

Method Summary
`ScriptAction` | `getAction()` Gets the action instance.
`org.apache.struts.action.ActionForm` | `getForm()` Gets the action form.
`org.apache.struts.action.ActionForward` | `getForward()` Gets the forward object.
`org.apache.struts.action.ActionMapping` | `getMapping()` Gets the action mapping.
`org.apache.struts.util.MessageResources` | `getMessages()` Gets the message resources.
`void` | `setAction(ScriptAction action)` Sets the action instance.
`void` | `setForm(org.apache.struts.action.ActionForm form)` Sets the action form.
`void` | `setForward(org.apache.struts.action.ActionForward f)` Sets the action forward object.
`void` | `setForwardName(java.lang.String f)` Sets the forward name.
`void` | `setMapping(org.apache.struts.action.ActionMapping mapping)` Sets the action mapping.
`void` | `setMessages(org.apache.struts.util.MessageResources res)` Sets the message resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsInfo

    public StrutsInfo(ScriptAction action,
                      org.apache.struts.action.ActionMapping mapping,
                      org.apache.struts.action.ActionForm form,
                      org.apache.struts.util.MessageResources res)

  Constructor.

  Parameters:
    `action` - The action instance
    `mapping` - The action mapping
    `form` - The action form
    `res` - The message resources for the current locale

Method Detail

### setForwardName

    public void setForwardName(java.lang.String f)

  Sets the forward name.

  Parameters:
    `f` - The forward name

### getForward

    public org.apache.struts.action.ActionForward getForward()

  Gets the forward object. If none is set, it tries to find the set forward name.

  Returns:
    The action forward

### setForward

    public void setForward(org.apache.struts.action.ActionForward f)

  Sets the action forward object.

  Parameters:
    `f` - The action forward

### setForm

    public void setForm(org.apache.struts.action.ActionForm form)

  Sets the action form.

  Parameters:
    `form` - The action form

### setMapping

    public void setMapping(org.apache.struts.action.ActionMapping mapping)

  Sets the action mapping.

  Parameters:
    `mapping` - The action mapping

### setAction

    public void setAction(ScriptAction action)

  Sets the action instance.

  Parameters:
    `action` - The Struts action

### setMessages

    public void setMessages(org.apache.struts.util.MessageResources res)

  Sets the message resources.

  Parameters:
    `res` - The message resources

### getForm

    public org.apache.struts.action.ActionForm getForm()

  Gets the action form.

  Returns:
    The action form

### getMapping

    public org.apache.struts.action.ActionMapping getMapping()

  Gets the action mapping.

  Returns:
    The action mapping

### getAction

    public ScriptAction getAction()

  Gets the action instance.

  Returns:
    The Struts action

### getMessages

    public org.apache.struts.util.MessageResources getMessages()

  Gets the message resources.

  Returns:
    The message resources

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 The Apache Software Foundation. All Rights Reserved.